Bug 571539 - [abrt] crash in thunderbird-3.0.3-1.fc12: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 4 (SIGILL)
[abrt] crash in thunderbird-3.0.3-1.fc12: Process /usr/lib/thunderbird-3.0/th...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
abrt_hash:602363a6e7aaf2f26e18ea9918e...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 14:26 EST by Richard Forster
Modified: 2015-02-01 17:51 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:42:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.94 KB, text/plain)
2010-03-08 14:26 EST, Richard Forster
no flags Details

  None (edit)
Description Richard Forster 2010-03-08 14:26:15 EST
abrt 1.0.7 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/thunderbird-3.0/thunderbird-bin
component: thunderbird
executable: /usr/lib/thunderbird-3.0/thunderbird-bin
kernel: 2.6.32.9-67.fc12.i686.PAE
package: thunderbird-3.0.3-1.fc12
rating: 3
reason: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 4 (SIGILL)
release: Fedora release 12 (Constantine)

comment
-----
Thunderbird crashes when I click the 'write' button. Starting Thunderbird from the command line gives this error message when it crashes: 
/usr/lib/thunderbird-3.0/run-mozilla.sh: line 131:  9479 Illegal instruction     (core dumped) "$prog" ${1+"$@"}

How to reproduce
-----
1. Start Thunderbird.
2. Click 'Write'
3. There is no third step.
4. Additional information: Clicking the 'down arrow' that is part of the 'Write' button and clicking Event or Task does not crash Thunderbird but the new item window is as small as possible in the vertical direction; ie just the title bar and window decorations. The window can be expanded in this case. New Tasks can be written and saved as expected.
Comment 1 Richard Forster 2010-03-08 14:26:18 EST
Created attachment 398597 [details]
File: backtrace
Comment 2 Chris Campbell 2010-04-07 17:22:26 EDT
#3  <signal handler called>
No symbol table info available.
#4  0x0117e1d9 in ?? () from /usr/lib/thunderbird-3.0/components/libmail.so
No symbol table info available.
#5  0x01083cec in ?? () from /usr/lib/thunderbird-3.0/components/libmail.so
No symbol table info available.
#6  0x0038f827 in ?? () from /usr/lib/thunderbird-3.0/libxpcom_core.so
No symbol table info available.
#7  0x003bb60f in ?? () from /usr/lib/thunderbird-3.0/libxpcom_core.so
No symbol table info available.
#8  0x0038a468 in CallCreateInstance(char const*, nsISupports*, nsID const&, void**) () from /usr/lib/thunderbird-3.0/libxpcom_core.so
No symbol table info available.
#9  0x0038a496 in nsCreateInstanceByContractID::operator()(nsID const&, void**) const () from /usr/lib/thunderbird-3.0/libxpcom_core.so
No symbol table info available.
#10 0x00389a30 in nsCOMPtr_base::assign_from_helper(nsCOMPtr_helper const&, nsID const&) () from /usr/lib/thunderbird-3.0/libxpcom_core.so
No symbol table info available.
#11 0x0117dcb4 in ?? () from /usr/lib/thunderbird-3.0/components/libmail.so
No symbol table info available.
#12 0x0117d658 in ?? () from /usr/lib/thunderbird-3.0/components/libmail.so
No symbol table info available.
#13 0x003ceb37 in NS_InvokeByIndex_P ()
   from /usr/lib/thunderbird-3.0/libxpcom_core.so
No symbol table info available.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-04-07 17:23:33 EDT
Thank you for taking the time to report this crash.

Unfortunately, the stack trace is not very useful in determining the cause of the crash, because it lacks debugging symbols. This is likely due to a bug in ABRT, which should have captured this information automatically. I am reassigning this bug to ABRT for diagnosis; if it can be fixed, you should be able to automatically generate a useful report for this crash in the future. 

In the meantime, if you are interested in attempting to diagnose the crash itself, you can try installing debuginfo packages manually, which will hopefully provide debugging symbols in the next stack trace. You can run the command: 

    debuginfo-install PROGRAMNAMEHERE 

Please see http://fedoraproject.org/wiki/StackTraces for more information about obtaining stack traces manually. If you successfully obtain a better stack trace, please report it under a separate bug and add a comment to this bug with the new bug number (since this bug will track the ABRT fix, not the crash fix).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2010-11-03 16:25:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 12:42:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.